Bug 458751 - hal-addon-acpi and acpid conflict
hal-addon-acpi and acpid conflict
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 23:47 EDT by Harlan
Modified: 2013-03-05 22:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:09:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harlan 2008-08-11 23:47:27 EDT
Because hal-addon-acpi starts before acpid, it intercepts some of the rules, and doesn't let acpid have control over the actions. Because hal-addon-acpi doesn't seem to be configurable - at least, not that I've been able to find - this pretty much renders acpid useless.

As killing hal-addon-acpi and restarting acpid then hal-addon-acpi allows acpid to function correctly, I recommend changing the runlevel startup sequence so as to start acpid before haldaemon.
Comment 1 Zdenek Prikryl 2008-08-14 02:56:51 EDT
Hello, in the runlevel startup sequence acpid has to be executed before hald-addon-acpi. Otherwise acpid will not work. In F9 the sequence is right, at least at my PC it is correct and I didn't change any relevant cfg file.
Comment 2 Harlan 2008-08-15 20:59:52 EDT
Strange. Well, it's not as simple as the startup sequence then.

Something is happening that is preventing acpid from processing events correctly. Something that is fixed when I kill hal-addon-acpi and restart acpid.

Any ideas of where to look next?
Comment 3 Zdenek Prikryl 2008-08-19 07:19:13 EDT
The thing is, that if hal-addon-acpi starts first, then it'll grab /proc/acpi/event. After that, when acpid is started, it'll complain because it cannot grap /proc/acpi/event now. But if acpid is started first, then it'll open the UNIX socket. After that, when hal-addon-acpi starts, it'll detect that it cannot open /proc/acpi/event so it'll listen at acpid's socket and both applications works fine.
Comment 4 Harlan 2008-08-19 22:08:03 EDT
I understand. But the theoretical behaviour isn't working properly.

For some reason, hal-addon-acpi is keeping acpid from processing the events properly.

Or so I must assume, given that killing hal-addon-acpi and restarting acpid fixes the problem.
Comment 5 Zdenek Prikryl 2008-08-20 06:29:49 EDT
At the boot time, do you see something like this?

...
Starting acpi daemon: [ OK ]
Starting HAL daemon: [ OK ]
...
Comment 6 Harlan 2008-08-20 22:06:38 EDT
I just checked three times. All three boots had that message upon boot.
Comment 7 Zdenek Prikryl 2008-08-21 03:34:43 EDT
In this case acpid IS started before hal-addon-acpi.

Could you send the output of:

$ ps aux | grep -e acpid -e hal-addon-acpi
Comment 8 Harlan 2008-08-24 19:23:45 EDT
"
68        2205  0.0  0.0  12456   884 ?        S    19:05   0:00 hald-addon-acpi: listening on acpid socket /var/run/acpid.socket
root      2434  0.0  0.0   3900   616 ?        Ss   19:05   0:00 /usr/sbin/acpid
"

Weird. That looks like hald-addon-acpi starts before acpid.
Comment 9 Zdenek Prikryl 2008-08-26 07:02:20 EDT
This says that acpid is started before hald-addon-acpi. From my point of view this is the correct behaviour. What exactly doesn't work?
Comment 10 Till Maas 2010-01-04 11:52:46 EST
The problem still exists if one wants to install and use acpid after haldaemon is already started, e.g. on a fresh install where acpid is missing. Then acpid will just fail unless one first stops haldaemon, starts acpid and then starts haldaemon again.
Comment 12 Bug Zapper 2010-11-04 07:48:54 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-12-05 02:09:04 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.